Subject: Re: bug#7368: display-buffer a softly dedicated window

From: martin rudalics <[email-masked]>
Date: Wed, 17 Nov 2010 10:46:20 +0100

> I bevieve it's reasonable to override soft-dedication unconditionally.
 > The checks for dedicated != nil seem to be needed only because
 > switch-to-buffer would fail on a "truly dedicated" buffer. However,
 > switch-to-buffer would never fail on a "softly dedicated" buffer,

It could fail because it falls back on `display-buffer' when the
selected window is a minibuffer window or dedicated.  `pop-to-buffer'
and the remaining members of the `switch-to-buffer' family always fail
to use a weakly dedicated window.

martin